跳转到主要内容
GET
GET /.well-known/oauth-authorization-server/v1

响应

Success

RFC 8414 §2, restricted to what this issuer actually implements.

v3 never served this document, so every client had its endpoints compiled in. Publishing it is what lets a client discover the mount it was pointed at instead of assuming one.

authorization_endpoint
string
必填
code_challenge_methods_supported
string[]
必填

["S256"]. plain is deliberately absent.

device_authorization_endpoint
string
必填

RFC 8628 §4.

grant_types_supported
string[]
必填
issuer
string
必填

The issuer identifier: exactly the mount this document was fetched from, with no trailing slash (RFC 8414 §2).

response_types_supported
string[]
必填

["code"].

revocation_endpoint
string
必填

RFC 7009 §2.

revocation_endpoint_auth_methods_supported
string[]
必填

["none"] as well, for the revocation endpoint.

token_endpoint
string
必填
token_endpoint_auth_methods_supported
string[]
必填

["none"]: every registered client is public and this registry issues no client secrets.